
TYPO3.Flow - Bug # 31474

Status: Resolved Priority: Should have
Author: Johannes K Category: Command
Created: 2011-10-31 Assigned To: Johannes K
Updated: 2011-11-04 Due date:
PHP Version: 5.3
Has patch: Yes
Complexity: no-brainer
Affected Flow version: FLOW3 1.0.0
Subject: DoctrineCommandController::dqlCommand() uses removed method 

TYPO3\FLOW3\MVC\CLI\Request::getCommandLineArguments()
Description

The method TYPO3\FLOW3\MVC\CLI\Request::getCommandLineArguments() does not exist anymore.
DoctrineCommandController::dqlCommand should call the method TYPO3\FLOW3\MVC\CLI\Request::getExceedingArguments()
instead

Associated revisions
Revision 47b8f4a8 - 2011-11-04 12:49 - Johannes K

[BUGFIX] Use correct method to get CLI arguments for DQL command

Call TYPO3\FLOW3\MVC\CLI\Request::getExceedingArguments() instead of the
removed TYPO3\FLOW3\MVC\CLI\Request::getCommandLineArguments()

Fixes: #31474
Change-Id: I35ab8bc7f869c8c196b8313b297a2171c451bd1c
Releases: 1.0, 1.1

Revision 4c91d3f3 - 2011-11-04 12:56 - Johannes K

[BUGFIX] Use correct method to get CLI arguments for DQL command

Call TYPO3\FLOW3\MVC\CLI\Request::getExceedingArguments() instead of the
removed TYPO3\FLOW3\MVC\CLI\Request::getCommandLineArguments()

Fixes: #31474
Change-Id: I35ab8bc7f869c8c196b8313b297a2171c451bd1c
Releases: 1.0, 1.1

History
#1 - 2011-10-31 19:53 - Mr. Hudson
- Status changed from New to Under Review

Patch set 3 of change I35ab8bc7f869c8c196b8313b297a2171c451bd1c has been pushed to the review server.
It is available at http://review.typo3.org/6403
#2 - 2011-11-04 12:52 - Mr. Hudson

Patch set 4 of change I35ab8bc7f869c8c196b8313b297a2171c451bd1c has been pushed to the review server.
It is available at http://review.typo3.org/6403

#3 - 2011-11-04 12:56 - Mr. Hudson

Patch set 1 of change I35ab8bc7f869c8c196b8313b297a2171c451bd1c has been pushed to the review server.
It is available at http://review.typo3.org/6541

#4 - 2011-11-04 13:06 - Johannes K
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:47b8f4a8fd7769df592dd1515901670691b416e5.
